#!../../bin/linux-x86_64/Keithley6487Test

###############################################################################
# Set up environment
epicsEnvSet("P","$(P=K6487:)")
epicsEnvSet("K6487_ADDRESS","$(K6487_ADDRESS=moxa01:4001)")
epicsEnvSet("K6487_PROTOCOL","$(K6487_PROTOCOL=COM)")

< envPaths
epicsEnvSet("STREAM_PROTOCOL_PATH","${TOP}/db")
cd "${TOP}"

###############################################################################
# Register all support components
dbLoadDatabase "dbd/Keithley6487Test.dbd"
Keithley6487Test_registerRecordDeviceDriver pdbbase

###############################################################################
# Set up ASYN ports
# drvAsynIPPortConfigure port ipInfo priority noAutoconnect noProcessEos
drvAsynIPPortConfigure("L0","$(K6487_ADDRESS) $(K6487_PROTOCOL)",0,0,0)
asynSetTraceIOMask("L0",-1,0x2)
#asynSetTraceMask("L0",-1,0x9)
asynSetOption("L0", -1, "baud", "57600")
asynSetOption("L0", -1, "bits", "7")
asynSetOption("L0", -1, "parity", "even")
asynSetOption("L0", -1, "stop", "1")
asynSetOption("L0", -1, "crtscts", "N")

###############################################################################
# Load record instances
dbLoadRecords "db/devKeithley6487.db" "P=$(P),R=1:,PORT=L0,A=-1,NELM=1000"
dbLoadRecords "db/asynRecord.db" "P=$(P),R=asyn,PORT=L0,ADDR=-1,OMAX=0,IMAX=0"

###############################################################################
# Start IOC
cd "${TOP}/iocBoot/${IOC}"
iocInit
